

    /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
    *                                                                   *
    *   Some DSP 0.2                                                    *
    *                                                                   *
    *   Copyright  2005   Sebastian Pipping <webmaster@hartwork.org>   *
    *                                                                   *
    *   --> http://www.hartwork.org                                     *
    *                                                                   *
    *                                                                   *
    *   This source code is released under LGPL.                        *
    *   See LGPL.txt for details.                                       *
    *                                                                   *
    \* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#include "mod_bypass.h"


void config_bypass( struct winampDSPModule * this_mod );
int init_bypass( struct winampDSPModule * this_mod );
int apply_bypass( struct winampDSPModule * this_mod, short int * samples, int numsamples, int bps, int nch, int srate );
void quit_bypass( struct winampDSPModule * this_mod );


////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
winampDSPModule mod_bypass =
{
	"Bypass",
	NULL,			// hwndParent
	NULL,			// hDllInstance
	config_bypass,
	init_bypass,
	apply_bypass,
	quit_bypass
};


////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
void config_bypass( struct winampDSPModule * this_mod )
{
	MessageBox(	this_mod->hwndParent,
				"Bypass\n"
				"\n"
				"Copyright  2005 Sebastian Pipping    \n"
				"--> http://www.hartwork.org",
				"About",
				MB_ICONINFORMATION );
}


////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
int init_bypass( struct winampDSPModule * this_mod )
{
	return 0;	// Fine
}


////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
int apply_bypass( struct winampDSPModule * this_mod, short int * samples, int numsamples, int bps, int nch, int srate )
{
	return numsamples;
}


////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
void quit_bypass( struct winampDSPModule * this_mod )
{

}
